const express = require('express');
const authControllers = require('../../controllers/auth/AuthControllers.js');
const verifyJWT = require('../../middleware/VerifyJWT.js');

const router = express.Router();

router.post('/login', authControllers.login);
router.get('/me', verifyJWT, authControllers.getUser);
router.post('/logout', verifyJWT, authControllers.logout);

module.exports = router;